/snap/core18/3084/bin
NameSizeModeActions
bash11135040755editdlrm
bunzip2348880755editdlrm
bzcat348880755editdlrm
bzcmp21400755editdlrm
bzdiff21400755editdlrm
bzegrep36420755editdlrm
bzexe48770755editdlrm
bzfgrep36420755editdlrm
bzgrep36420755editdlrm
bzip2348880755editdlrm
bzip2recover143280755editdlrm
bzless12970755editdlrm
bzmore12970755editdlrm
cat350640755editdlrm
chgrp636720755editdlrm
chmod596080755editdlrm
chown677680755editdlrm
cp1415280755editdlrm
dash1214320755editdlrm
date1005680755editdlrm
dd760000755editdlrm
df847760755editdlrm
dir1337920755editdlrm
dmesg720000755editdlrm
dnsdomainname185040755editdlrm
domainname185040755editdlrm
echo350000755editdlrm
egrep280755editdlrm
false309040755editdlrm
fgrep280755editdlrm
findmnt647840755editdlrm
grep2194560755editdlrm
gunzip23010755editdlrm
gzexe59980755editdlrm
gzip1015600755editdlrm
hostname185040755editdlrm
ip5582000755editdlrm
journalctl635760755editdlrm
kill267040755editdlrm
kmod1496880755editdlrm
less1707600755editdlrm
lessecho102560755editdlrm
lessfile85640755editdlrm
lesskey198560755editdlrm
lesspipe85640755editdlrm
ln678080755editdlrm
login526640755editdlrm
loginctl512800755editdlrm
ls1337920755editdlrm
lsblk840480755editdlrm
lsmod1496880755editdlrm
mkdir800560755editdlrm
mknod677680755editdlrm
mktemp431920755editdlrm
more389520755editdlrm
mount430884755editdlrm
mountpoint144080755editdlrm
mv1374400755editdlrm
nc353120755editdlrm
nc.openbsd353120755editdlrm
netcat353120755editdlrm
networkctl430800755editdlrm
nisdomainname185040755editdlrm
pidof270160755editdlrm
ping644244755editdlrm
ping4644244755editdlrm
ping6644244755editdlrm
ps1334320755editdlrm
pwd350000755editdlrm
rbash11135040755editdlrm
readlink431920755editdlrm
rm637040755editdlrm
rmdir431920755editdlrm
run-parts187600755editdlrm
sed1090000755editdlrm
sh1214320755editdlrm
sh.distrib1214320755editdlrm
sleep350000755editdlrm
ss1399040755editdlrm
stty759920755editdlrm
su446644755editdlrm
sync350000755editdlrm
systemctl1823520755editdlrm
systemd16202240755editdlrm
systemd-ask-password103200755editdlrm
systemd-escape144000755editdlrm
systemd-hwdb843280755editdlrm
systemd-inhibit144160755editdlrm
systemd-machine-id-setup184960755editdlrm
systemd-notify144080755editdlrm
systemd-sysusers430800755editdlrm
systemd-tmpfiles717520755editdlrm
systemd-tty-ask-password-agent266960755editdlrm
tar4233120755editdlrm
tempfile101040755editdlrm
touch882800755editdlrm
true309040755editdlrm
udevadm5881840755editdlrm
umount266964755editdlrm
uname350320755editdlrm
uncompress23010755editdlrm
vdir1337920755editdlrm
wdctl308000755editdlrm
which9460755editdlrm
ypdomainname185040755editdlrm
zcat19370755editdlrm
zcmp17770755editdlrm
zdiff57820755editdlrm
zegrep1400755editdlrm
zfgrep1400755editdlrm
zforce21310755editdlrm
zgrep64560755editdlrm
zless20370755editdlrm
zmore19100755editdlrm
znew50710755editdlrm
Edit: /snap/core18/3084/bin/gzexe (5998B)
#!/bin/sh # gzexe: compressor for Unix executables. # Use this only for binaries that you do not use frequently. # # The compressed version is a shell script which decompresses itself after # skipping $skip lines of shell commands. We try invoking the compressed # executable with the original name (for programs looking at their name). # We also try to retain the original file permissions on the compressed file. # For safety reasons, gzexe will not create setuid or setgid shell scripts. # WARNING: the first line of this file must be either : or #!/bin/sh # The : is required for some old versions of csh. # On Ultrix, /bin/sh is too buggy, change the first line to: #!/bin/sh5 # Copyright (C) 1998, 2002, 2004, 2006, 2007 Free Software Foundation # Copyright (C) 1993 Jean-loup Gailly # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 3 of the License, or # (at your option) any later version. # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # You should have received a copy of the GNU General Public License along # with this program; if not, write to the Free Software Foundation, Inc., # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. tab=' ' nl=' ' IFS=" $tab$nl" version='gzexe (gzip) 1.6 Copyright (C) 2007, 2011-2013 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License . There is NO WARRANTY, to the extent permitted by law. Written by Jean-loup Gailly.' usage="Usage: $0 [OPTION] FILE... Rename each FILE with a compressed version of itself, renaming FILE to FILE~. -d Decompress each FILE instead of compressing it. --help display this help and exit --version output version information and exit Report bugs to ." bindir='/bin' case $1 in --__bindir) bindir=${2?}; shift; shift;; esac PATH=$bindir:$PATH decomp=0 res=0 while :; do case $1 in -d) decomp=1; shift;; --h*) exec echo "$usage";; --v*) exec echo "$version";; --) shift; break;; *) break;; esac done if test $# -eq 0; then echo >&2 "$0: missing operand Try \`$0 --help' for more information." exit 1 fi tmp= trap 'res=$? test -n "$tmp" && rm -f "$tmp" (exit $res); exit $res ' 0 1 2 3 5 10 13 15 mktemp_status= for i do case $i in -*) file=./$i;; *) file=$i;; esac if test ! -f "$file" || test ! -r "$file"; then res=$? echo >&2 "$0: $i is not a readable regular file" continue fi if test $decomp -eq 0; then case `LC_ALL=C sed -n -e 1d -e '/^skip=[0-9][0-9]*$/p' -e 2q "$file"` in skip=[0-9] | skip=[0-9][0-9] | skip=[0-9][0-9][0-9]) echo >&2 "$0: $i is already gzexe'd" continue;; esac fi if test -u "$file"; then echo >&2 "$0: $i has setuid permission, unchanged" continue fi if test -g "$file"; then echo >&2 "$0: $i has setgid permission, unchanged" continue fi case /$file in */basename | */bash | */cat | */chmod | */cp | \ */dirname | */echo | */expr | */gzip | \ */ln | */mkdir | */mktemp | */mv | */rm | \ */sed | */sh | */sleep | */test | */tail) echo >&2 "$0: $i might depend on itself"; continue;; esac dir=`dirname "$file"` || dir=$TMPDIR test -d "$dir" && test -w "$dir" && test -x "$dir" || dir=/tmp test -n "$tmp" && rm -f "$tmp" if test -z "$mktemp_status"; then type mktemp >/dev/null 2>&1 mktemp_status=$? fi if test $mktemp_status -eq 0; then tmp=`TMPDIR=$dir mktemp -t gzexeXXXXXX` else tmp=$dir/gzexe$$ fi && { cp -p "$file" "$tmp" 2>/dev/null || cp "$file" "$tmp"; } || { res=$? echo >&2 "$0: cannot copy $file" continue } if test -w "$tmp"; then writable=1 else writable=0 chmod u+w "$tmp" || { res=$? echo >&2 "$0: cannot chmod $tmp" continue } fi if test $decomp -eq 0; then (cat <<'EOF' && #!/bin/sh skip=44 tab=' ' nl=' ' IFS=" $tab$nl" umask=`umask` umask 77 gztmpdir= trap 'res=$? test -n "$gztmpdir" && rm -fr "$gztmpdir" (exit $res); exit $res ' 0 1 2 3 5 10 13 15 if type mktemp >/dev/null 2>&1; then gztmpdir=`mktemp -dt` else gztmpdir=/tmp/gztmp$$; mkdir $gztmpdir fi || { (exit 127); exit 127; } gztmp=$gztmpdir/$0 case $0 in -* | */*' ') mkdir -p "$gztmp" && rm -r "$gztmp";; */*) gztmp=$gztmpdir/`basename "$0"`;; esac || { (exit 127); exit 127; } case `echo X | tail -n +1 2>/dev/null` in X) tail_n=-n;; *) tail_n=;; esac if tail $tail_n +$skip <"$0" | gzip -cd > "$gztmp"; then umask $umask chmod 700 "$gztmp" (sleep 5; rm -fr "$gztmpdir") 2>/dev/null & "$gztmp" ${1+"$@"}; res=$? else echo >&2 "Cannot decompress $0" (exit 127); res=127 fi; exit $res EOF gzip -cv9 "$file") > "$tmp" || { res=$? echo >&2 "$0: compression not possible for $i, file unchanged." continue } else # decompression skip=44 skip_line=`LC_ALL=C sed -e 1d -e 2q "$file"` case $skip_line in skip=[0-9] | skip=[0-9][0-9] | skip=[0-9][0-9][0-9]) eval "$skip_line";; esac case `echo X | tail -n +1 2>/dev/null` in X) tail_n=-n;; *) tail_n=;; esac tail $tail_n +$skip "$file" | gzip -cd > "$tmp" || { res=$? echo >&2 "$0: $i probably not in gzexe format, file unchanged." continue } fi test $writable -eq 1 || chmod u-w "$tmp" || { res=$? echo >&2 "$0: $tmp: cannot chmod" continue } ln -f "$file" "$file~" || { res=$? echo >&2 "$0: cannot backup $i as $i~" continue } mv -f "$tmp" "$file" || { res=$? echo >&2 "$0: cannot rename $tmp to $i" continue } tmp= done (exit $res); exit $res